Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## scone.accesstracking2
Class FrameHistory

    java.lang.Object
      scone.accesstracking2.FrameHistory

    public class FrameHistory

extends java.lang.Object

Keeps the history of one Window/Frame of a Web-browser to amalyse the movements of the user.

Version:
  1.0b, 11/02/2001
Author:
  Torsten Hass

Constructor Summary
`FrameHistory()`

Method Summary
`void` | `add(Access a)` Adds the new Access object to history list.
`boolean` | `contains(Access a)` Checks if the given Access object matches one in the FrameHistory in following fields: userId, nodeId, frameName, fragment, query
`Access` | `getEventAt(int i)` Get access event at position i
`int` | `getLastAction()` Get lastAction
`Access` | `getLastEvent()` Get last access event
`java.lang.String` | `getLastLinkAnchor()` Get getLastLinkAnchor
`java.lang.String` | `getLastLinkPos()` Get getLast Link Position
`java.lang.String` | `getLastLinkTitle()` Get LastLinkTitle
`int` | `getLastLinkType()` Get lastLinkType
`java.lang.String` | `getLastReferrer()` Get getLastReferrer
`java.lang.String` | `getLastWindowSize()` Get getWindowSize
`int` | `getPosition()` Get position in history
`int` | `getPosition(Access a)` Get position and matching Access Object a in the FrameHistory.
`void` | `replaceLastEvent(Access a)` Replace last megTime and access event
`void` | `replaceLastEvent(java.lang.String frameName, Access a)` Replace last megTime and access event.
`void` | `setLastAction(int lastAction)` Set lastAction
`void` | `setLastLinkAnchor(java.lang.String lastLinkAnchor)` Set setLastReferrer
`void` | `setLastLinkPos(java.lang.String lastLinkPos)` Set setLastLinkPos
`void` | `setLastLinkTitle(java.lang.String lastLinkTitle)` Set setLastLinkTitle
`void` | `setLastLinkType(int lastLinkType)` Set lastLinkType
`void` | `setLastReferrer(java.lang.String nodeId)` Set setLastReferrer
`void` | `setLastWindowSize(java.lang.String lastWindowSize)` Set setLast Window Size
`void` | `setPosition(int position)` Set position in history
`void` | `showFrameContents()` Show the contents of the FrameHistory.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FrameHistory

    public FrameHistory()

Method Detail

### add

    public void add(Access a)

  Adds the new Access object to history list.

  Parameters:
    `megTime` - The time when the JavaScriptCode was generated
    `a` - The Access object to add to list

### contains

    public boolean contains(Access a)

  Checks if the given Access object matches one in the FrameHistory in following fields:
  userId, nodeId, frameName, fragment, query

  Parameters:
    `a` - The Access object
  Returns:
    `true` if "a" matches one in the FrameHistory

### getLastAction

    public int getLastAction()

  Get lastAction

  Returns:
    bit Array that holds reason for last new page

### setLastAction

    public void setLastAction(int lastAction)

  Set lastAction

  Parameters:
    `lastAction` - Bit array that holds reason for last page change

### getLastLinkType

    public int getLastLinkType()

  Get lastLinkType

  Returns:
    bit Array that holds reason for last new page

### setLastLinkType

    public void setLastLinkType(int lastLinkType)

  Set lastLinkType

  Parameters:
    `lastLinkType` - Bit array that holds type of last clicked link...

### getLastReferrer

    public java.lang.String getLastReferrer()

  Get getLastReferrer

  Returns:
    the NodeId of the last refferer

### setLastReferrer

    public void setLastReferrer(java.lang.String nodeId)

  Set setLastReferrer

  Parameters:
    `lastAction` - Bit array that holds reason for last page change

### getLastLinkAnchor

    public java.lang.String getLastLinkAnchor()

  Get getLastLinkAnchor

  Returns:
    the Text of the link anchor

### setLastLinkAnchor

    public void setLastLinkAnchor(java.lang.String lastLinkAnchor)

  Set setLastReferrer

  Parameters:
    `LinkAnchor` - text of last link

### getLastLinkTitle

    public java.lang.String getLastLinkTitle()

  Get LastLinkTitle

  Returns:
    the title of last link

### setLastLinkTitle

    public void setLastLinkTitle(java.lang.String lastLinkTitle)

  Set setLastLinkTitle

  Parameters:
    `title` - of last link

### getLastWindowSize

    public java.lang.String getLastWindowSize()

  Get getWindowSize

  Returns:
    the last size of window...

### setLastWindowSize

    public void setLastWindowSize(java.lang.String lastWindowSize)

  Set setLast Window Size

  Parameters:
    `size` - of window at last click

### getLastLinkPos

    public java.lang.String getLastLinkPos()

  Get getLast Link Position

  Returns:
    the position of the last click (on a link)

### setLastLinkPos

    public void setLastLinkPos(java.lang.String lastLinkPos)

  Set setLastLinkPos

  Parameters:
    `position` - of click on page (inlcuding the scrolling!)

### setPosition

    public void setPosition(int position)

  Set position in history

  Parameters:
    `position` - Position in history

### getPosition

    public int getPosition()

  Get position in history

  Returns:
    position in history

### getLastEvent

    public Access getLastEvent()

  Get last access event

  Returns:
    Access event

### getEventAt

    public Access getEventAt(int i)

  Get access event at position i

  Parameters:
    `i` - position of event
  Returns:
    Access event

### replaceLastEvent

    public void replaceLastEvent(Access a)

  Replace last megTime and access event

  Parameters:
    `megTime` -
    `a` -

### replaceLastEvent

    public void replaceLastEvent(java.lang.String frameName,
                                 Access a)

  Replace last megTime and access event. This method has an extra parameter frameName to identify the Access object, that has to be replaced

  Parameters:
    `frameName` - Identifies the frame
    `megTime` -
    `a` - The Access Event

### getPosition

    public int getPosition(Access a)

  Get position and matching Access Object a in the FrameHistory.

  Parameters:
    `a` - The Access object
  Returns:
    The position in history of that access object

### showFrameContents

    public void showFrameContents()

  Show the contents of the FrameHistory.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD